package org.springblade.modules.external.ycbigdata.community.wrapper;

import org.springblade.community.residential.entity.Residential;
import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.external.ycbigdata.community.vo.ResidentialVO;

import java.util.Objects;

/**
 * Created By lidexi in 2021/3/16
 **/
public class ResidentialWrapper extends BaseEntityWrapper<Residential, ResidentialVO> {


	public static ResidentialWrapper build(){
		return new ResidentialWrapper();
	}
	@Override
	public ResidentialVO entityVO(Residential residential) {

		ResidentialVO residentialVO = Objects.requireNonNull(BeanUtil.copy(residential,ResidentialVO.class));
		return residentialVO;
	}
}
